import 'dart:async';

import 'models/models.dart';

abstract class CaravanasRepository {
  Future<void> addNewCaravana(Caravana caravana);

  Future<void> deleteCaravana(Caravana caravana);

  Stream<List<Caravana>> caravanas();

  Future<void> updateCaravana(Caravana caravana);
}
