import 'dart:async';

import 'models/models.dart';

abstract class CargaRepository {
  Future<void> addNewCarga(Carga carga);

  Future<void> deleteCarga(Carga carga);

  Stream<List<Carga>> cargas();

  Future<void> updateCarga(Carga carga);
}
