import 'dart:async';

import 'models/models.dart';

abstract class CategoriasRepository {
  Future<void> addNewCategoria(Categoria categoria);

  Future<void> deleteCategoria(Categoria categoria);

  Stream<List<Categoria>> categorias();

  Future<void> updateCategoria(Categoria categoria);
}
