import 'dart:async';

import 'models/models.dart';

abstract class CategoriasSanitariasRepository {
  Future<void> addNewCategoriaSanitaria(CategoriaSanitaria categoriaSanitaria);

  Future<void> deleteCategoriaSanitaria(CategoriaSanitaria categoriaSanitaria);

  Stream<List<CategoriaSanitaria>> categoriasSanitarias();

  Future<void> updateCategoriaSanitaria(CategoriaSanitaria categoriaSanitaria);
}
