import 'dart:async';

import 'models/models.dart';

abstract class DescargaRepository {
  Future<void> addNewDescarga(Descarga descarga);

  Future<void> deleteDescarga(Descarga descarga);

  Stream<List<Descarga>> descargas();

  Future<void> updateDescarga(Descarga descarga);
}
