import 'dart:async';

import 'models/models.dart';

abstract class DietasRepository {
  Future<void> addNewDieta(Dieta dieta);

  Future<void> deleteDieta(Dieta dieta);

  Stream<List<Dieta>> dietas();

  Future<void> updateDieta(Dieta dieta);
}
