import 'dart:async';

import 'models/models.dart';

abstract class MixersRepository {
  Future<void> addNewMixer(Mixer mixer);

  Future<void> deleteMixer(Mixer mixer);

  Stream<List<Mixer>> mixers();

  Future<void> updateMixer(Mixer mixer);
}
