import 'dart:async';

import 'models/models.dart';

abstract class ProductosRepository {
  Future<void> addNewProducto(Producto producto);

  Future<void> deleteProducto(Producto producto);

  Stream<List<Producto>> productos();

  Future<void> updateProducto(Producto producto);
}
