import 'dart:async';

import 'models/models.dart';

abstract class TropasRepository {
  Future<void> addNewTropa(Tropa tropa);

  Future<void> deleteTropa(Tropa tropa);

  Stream<List<Tropa>> tropas();

  Future<void> updateTropa(Tropa tropa);
}
