import 'dart:async';

import 'models/models.dart';

abstract class AutomatismosProgramadosRepository {
  Future<void> addNewAutomatismoProgramado(AutomatismoProgramado automatismoProgramado);

  Future<void> deleteAutomatismoProgramado(AutomatismoProgramado automatismoProgramado);

  Stream<List<AutomatismoProgramado>> automatismosProgramados();

  Future<void> updateAutomatismoProgramado(AutomatismoProgramado automatismoProgramado);
}
