import 'dart:async';

import 'models/models.dart';

abstract class DietasProgramadasRepository {
  Future<void> addNewDietaProgramada(DietaProgramada dietaProgramada);

  Future<void> deleteDietaProgramada(DietaProgramada dietaProgramada);

  Stream<List<DietaProgramada>> dietasProgramadas();

  Future<void> updateDietaProgramada(DietaProgramada dietaProgramada);
}
