import 'dart:async';

import 'models/models.dart';

abstract class DispositivosRepository {
  Future<void> addNewDispositivo(Dispositivo dipositivo);

  Future<void> deleteDispositivo(Dispositivo dispositivo);

  Stream<Dispositivo> dipositivo();

  Future<void> updateDispositivo(Dispositivo dispositivo);

  void enable();

  void disable();

  Future<String> listenDevice (String address);
}
