import 'dart:async';

import 'models/models.dart';

abstract class PendientesRepository {
  Future<void> addNewPendiente(Pendiente pendiente);

  Future<void> deletePendiente(Pendiente pendiente);

  Stream<List<Pendiente>> pendientes();

  Future<void> updatePendiente(Pendiente pendiente);
}
