import 'dart:async';

import 'models/models.dart';

abstract class ProductosSanitariosRepository {
  Future<void> addNewProductoSanitario(ProductoSanitario productoSanitario);

  Future<void> deleteProductoSanitario(ProductoSanitario productoSanitario);

  Stream<List<ProductoSanitario>> productosSanitarios();

  Future<void> updateProductoSanitario(ProductoSanitario productoSanitario);
}
