import 'dart:async';

import 'models/models.dart';

abstract class RazasRepository {
  Future<void> addNewRaza(Raza raza);

  Future<void> deleteRaza(Raza raza);

  Stream<List<Raza>> razas();

  Future<void> updateRaza(Raza raza);
}
