import 'dart:async';

import 'models/models.dart';

abstract class TercerosRepository {
  Future<void> addNewTercero(Tercero tercero);

  Future<void> deleteTercero(Tercero tercero);

  Stream<List<Tercero>> terceros();

  Future<void> updateTercero(Tercero tercero);
}
